from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XVbaMethodParameter(XInterface, Protocol):
    def setVbaMethodParameter(self, PropertyName: str, Value: Any) -> None: ...
    def getVbaMethodParameter(self, PropertyName: str) -> Any: ...
